/* UNIVERSAL STYLES  */

/**********
 * RESETS, ACCESSIBILITY, AND CSS VARIABLES
 **********/
* {
    margin: 0;
    --fg: #322A1A;
    --bg: #FFF5D9;
    --bg2: #ccccac;
    --accent: #F1AF11;
    --accent-blue: #0A50F0;
    box-sizing: border-box;
}

@font-face {
    font-family: "Atkinson Hyperlegible";
    font-style: normal;
    src: url(/fonts/AtkinsonHyperlegibleNext-VariableFont_wght.ttf)
}

@font-face {
    font-family: "Atkinson Hyperlegible";
    font-style: italic;
    src: url(/fonts/AtkinsonHyperlegibleNext-Italic-VariableFont_wght.ttf)
}

html {
    scroll-behavior: smooth;
}

/* Disables smooth scrolling if the user has enabled reduced motion for accessibility reasons. */
@media (prefers-reduced-motion: reduce) {
    html {
        scroll-behavior: auto;
    }

    * {
        animation: none !important;
        transition-duration: 0s !important;
    }
}

*:focus {
}

body {
    background-color: var(--bg);
    color: var(--fg);
    font-family: "Atkinson Hyperlegible";
    font-weight: 400;
    width: 100%;
    padding: 0;
    margin: 0;
}


/**********
 * SITE HEADER LOGO AND MENU
 **********/

#site-head {
    position: relative;
    z-index: 10;
    width: 100%;
    background-color: var(--accent);
    color: var(--fg);
    font-size: 1.3rem;
    font-weight: 700;
    vertical-align: middle;
    padding: 20px 0;
}

.wrapper-head {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    align-items: center;
}

.page-title {
    margin-bottom: 0;
    text-transform: uppercase;
    font-size: 2rem;
    display: inline-block;
    padding: 0 4px;
    line-height: 1em;
    display: flex;
    gap: 10px;
    height: 2em;
    transition: all 0.2s ease-in-out;
}


.page-title p {
    margin: 0 0;
}

a:has(.page-title) {
    text-decoration: none;
}

.page-title svg {
    height: 2em;
    --fill: var(--bg);
}

.page-title p img {
    height: 0.9em;
}

a:hover .page-title,
a:active .page-title,
a:focus .page-title
{
    filter: drop-shadow(-5px 5px var(--bg));
    color: var(--fg);
}

a:hover .page-title svg,
a:focus .page-title svg,
a:active .page-title svg {
    --fill: var(--accent);
}

.site-menu {
    vertical-align: middle;
    float: right;
}

.site-menu ul {
    list-style: none;
}

.site-menu ul li {
    float: left;
    margin-bottom: 0;
    list-style: none;
}

.site-menu .title {
    position: relative;
    text-decoration: none;
    padding: 1rem;
    transition: all 0.2s ease-in-out;
    margin: 0 0;
    border: none;
    color: var(--fg);
    display: inline-block;
    font-size: 1.5rem;
}

.site-menu ul li:hover .title,
.site-menu ul li:focus-within .title,
.site-menu ul li:has(a:active) .title {
    background: var(--fg);
    color: var(--bg);
}

#take-action-item {
    background: var(--accent-blue);
    color: var(--bg);
}

#take-action-item:hover,
#take-action-item:active,
#take-action-item:focus {
    background: var(--fg);
    box-shadow: -5px 5px var(--accent-blue);
    color: var(--bg);
}

a#hamburger-button {
    display: none;
}

/**********
 * LAYOUT ELEMENTS
 **********/


/* Containers */
/* Wrappers */
.wrapper {
    margin: 0 auto;
    display: block;
    width: 99.9%;
    max-width: 900px;
    clear: both;
}

.wrapper-full {
    margin: 0 auto;
    display: block;
    width: 80%;
    max-width: 1260px;
}

.wrapper-page {
    display: block;
    width: 100%;
}

.split {
    display: flex;
    flex-direction: row;
}

.left {
    width: 50%;
}

.right {
    width: 50%;
}

#hero {
    background: var(--accent);
    padding-top: 15lvh;
    padding-bottom: 15lvh;
    text-align: center;
}

#hero h1 {
    font-size: 5rem;
    text-align: center;
    text-transform: uppercase;
    font-weight: 800;
    margin: auto;
    margin-bottom: 0;
    margin-top: 0;
    width: fit-content;
}

/**********
 * TYPOGRAPHY AND FONT STYLES
 **********/

#main {
    font-size: 1.5rem;
    line-height: 1.875rem;
}

ul {
    padding-left: 2rem;
}

p,
#main li {
    margin-top: 1rem;
    margin-bottom: 1rem;
}

.wrap-centered {
    text-align: center;
}

.larger {
    font-size: 1.75rem;
    line-height: 1.85rem;
}

.smaller {
    font-size: 1.125rem;
    line-height: 1.25rem;
}

aside {
    padding: 1rem 1rem;
    background: var(--bg);
    border-left: 6px solid var(--accent);
}

.block {
    padding: 1rem 1rem;
    background: var(--bg);
    border: 6px solid var(--accent);
}

.block h2 {
        margin-top: 0;
}

.block-black {
    border-color: var(--fg);
}

.block-grey {
    border-color: var(--bg2);
}

.block-blue {
    border-color: var(--accent-blue);
}

hr {
    border-top: 1px solid var(--bg2);
    width: 80%;
    text-align: center;
    margin: 20px auto;
}

/* blockquote { */
/*     padding: 0.3rem 1rem; */
/*     margin: 0rem 1rem; */
/* } */

/* Headers */
h1,
h2,
h3,
h4,
h5 {
    margin-top: 1rem;
    margin-bottom: 0.675rem;
}

h1 {
    font-size: 3.375rem;
    margin-top: 0;
    margin-bottom: 1.25rem;
}

h2 {
    font-size: 2.75rem;
    margin-top: 2rem;
    margin-bottom: 1rem;
}

h3 {
    font-size: 2.25rem;
}

h4 {
    font-size: 2rem;
}

h5 {
    font-size: 1.75rem;
}

h1,
h2,
h3,
h4,
h5 {
    line-height: 1em;
}

/* Highlights and emphasis */
.blue {
    color: var(--accent-blue);
}

/* Buttons */
.button,
button {
    display: inline-block;
    padding: 0.5em 1em;
    text-decoration: none;
    background-color: var(--accent);
    border: 4px solid var(--accent);
    color: var(--fg);
    margin: 0.675rem 0;
    transition: all 0.2s ease-in-out;
    line-height: 1.1;
    font-weight: 700;
}

.button.blue, button.blue {
    background-color: var(--accent-blue);
    border-color: var(--accent-blue);
    color: var(--bg);
}

.button:hover,
.button:active,
.button:focus {
    background-color: var(--fg);
    border-color: var(--fg);
    color: var(--bg);
    box-shadow: -5px 5px var(--accent);
}

.button.blue:hover,
.button.blue:active,
.button.blue:focus {
    box-shadow: -5px 5px var(--accent-blue);
}

.button-subtle {
    background-color: transparent;
    color: var(--fg);
}

.button-subtle:hover,
.button-subtle:active,
.button-subtle:focus {
    background-color: var(--bg);
    color: var(--fg);
    border-color: var(--fg);
}

/* Links */
a {
    color: var(--fg);
    font-weight: 700;
    text-decoration: underline;
    text-shadow: none;
}

a:hover,
a:active,
a:focus {
    color: var(--accent);
    text-shadow: none;
}

.blue {
    color: var(--accent-blue);
}

.underline-blue {
    background-image: url("/assets/underline-blue.svg");
    padding-right: 0.15em;

    background-repeat: no-repeat;
    background-size: 100% 0.5em;
    background-position: center bottom;
}

.underline-yellow {
    background-image: url("/assets/underline-yellow.svg");
    padding-right: 0.15em;
    background-repeat: no-repeat;
    background-size: 100% 0.5em;
    background-position: center bottom;
}

/* Images */
img {
    align-self: start;
}

/**********
   SITE FOOTER
 **********/
.site-foot {
    width: 100%;
    color: var(--fg);
    text-align: center;
    font-size: 1rem;
    padding: 1rem;
}

.site-foot p {
    margin-bottom: .4rem
}

/*
 * MOBILE BREAKPOINTS
 */

@media only screen and (max-width: 1200px) {
    .site-menu {
        font-size: 0.8rem;
    }
}

@media only screen and (max-width: 992px) {
    .site-menu {
        width: 70%;
        position: absolute;
        right: 0;
        font-size: 1.25rem;
    }

    .site-menu .mobile {
        flex-grow: 1;
    }

    .site-menu ul.active {
        display: none;
    }

    .site-menu ul {
        width: 100%;
        position: absolute;
        top: 2rem;
        right: 0;
        padding: 0.5rem;
        padding-left: 1rem;
        background: var(--accent);
    }

    .site-menu ul li {
        margin: 5px 0;
        width: 100%;
    }

    .site-menu ul li * {
        text-align: end;
        width: 100%;
    }

    a#hamburger-button {
        padding-right: 10px;
        float: right;
        font-size: 2.5rem;
        line-height: 1;
        text-decoration: none;
        display: inline-block;
        color: var(--bg);
    }

    a#hamburger-button::after {
        content: "\2630";
    }

    a#hamburger-button.active::after {
        content: "\2716";
    }

    a#hamburger-button span {
        font-size: 0;
    }

    .site-menu .title:hover {
        color: var(--bg);
        background-color: unset;
    }

    .page-title {
        font-size: 2rem;
    }

    .site-menu .social-icon-hover,
    .site-menu .social-icon {
        height: 1em;
    }

    .wrapper {
        width: 90%;
        max-width: 900px;
    }

    #hero {
        padding-top: 5lvh;
        padding-bottom: 5lvh;
    }

    #hero h1 {
        font-size: 3rem;
    }

    .split {
        flex-direction: column;
    }
}

@media only screen and (max-width: 768px) {
    .underline-blue {
        background-size: contain;
    }

    .underline-yellow {
        background-size: contain;
    }

    .wrapper-full {
        width: 90%;
    }

  .buttons {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    gap: 0.5rem;
  }
}

@media only screen and (max-width: 650px) {
    #main {
        font-size: 1rem;
        line-height: 1.25rem;
    }

    h1 {
        font-size: 2.5rem;
    }

    h2 {
        font-size: 2rem;
    }

    h3 {
        font-size: 1.75rem;
    }

    h4 {
        font-size: 1.5rem;
    }

    h5 {
        font-size: 1.25rem;
    }

    .larger {
        font-size: 1.25rem;
    }

    .wrapper-full {
        margin: 0 1rem;
    }
}
